1. Media
swonkie.dev
  • Introduction
  • Quick Start
  • Changelog
  • Social Networks
    • Facebook
    • Instagram
    • LinkedIn
    • TikTok
    • Threads
  • Profiles
    • My Profiles
      GET
    • Competitors
      GET
  • Insights
    • Getting Started
    • My Profile Insights
      GET
    • My Profile Insights Posts
      GET
    • Competitor Insights
      GET
    • Competitor Insights Posts
      GET
  • Posts
    • Getting Started
    • List Posts
      GET
    • Get a Post
      GET
    • Create a Post
      POST
    • Update a Post
      PUT
    • Validate a Post
      GET
    • Delete a Post
      DELETE
    • Change Post Stage
      PATCH
  • Labels
    • Getting Started
    • List Labels
    • Create a Label
  • Media
    • Get a Media
      GET
    • Create a Media
      POST
    • Upload File to Media
      PUT
    • Confirm Uploaded Media
      PATCH
    • Delete a Media
      DELETE
  • Examples
    • Publish
Back to Home
Back to Home
Login
  1. Media

Confirm Uploaded Media

PATCH
/media/{mediaId}
Once you finish uploading the file using the PUT {uploadUrl}, you must use the mediaId generated from the POST /media request to perform this request to confirm the media has been sucessfully uploaded.
If you do not confirm the upload your media will stay in PROCESSING status and eventually be deleted.
Without this confirmation the media is unusable and posts WILL NOT get published
After confirmation, use GET /media/:mediaId to check the status and understand if it is already usable, in SUCCESS status, it shouldn't take more than a few minutes.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.swonkie.dev/v2/media/TWVkaWFJZDk4NzY1NDMyMQ' \
--header 'X-API-ID: {{apiId}}' \
--header 'X-API-KEY: {{apiKey}}'
Response Response Example
{
    "id": "string",
    "name": "string",
    "path": "http://example.com",
    "preview": "http://example.com",
    "type": "string",
    "status": "PROCESSING",
    "specs": {
        "width": 0,
        "height": 0,
        "duration": 0,
        "fileSizeBytes": 0
    },
    "createdAt": "2019-08-24T14:15:22.123Z"
}
Modified at 2026-03-11 19:21:12
Previous
Upload File to Media
Next
Delete a Media
Built with